REST APIMintStablecoin

GET

Retrieves a order by its ID for a specific enterprise.

Path Params

  • enterpriseId string required
    Enterprise id

    at least 1 characters

  • orderId string required
    Order identifier

Responses

200
OK

Response Body

object

  • sourceWalletId string
    Source wallet identifier for the order

    at least 1 characters · matches ^[0-9a-f]{32}$

  • destinationWalletId string
    Destination wallet identifier for go_account type

    matches ^[0-9a-f]{32}$

  • destinationAddress string
    Destination blockchain address

    at least 1 characters

  • userId string
    User identifier who initiated the order

    at least 1 characters · matches ^[0-9a-f]{32}$

  • clientDepositTxHash string
    Transaction hash of the client deposit

    at least 1 characters

  • orderHistories array of objects
    orderHistories object
    • status string enum required
      Status of the order
      createdconfirmed_fiat_depositconfirmed_token_depositinitiated_burn_token_transfercompleted_burn_token_transferapproved_minttriggering_minttriggering_burncompleted_burnapproved_client_disbursalinitiated_client_disbursalfulfilledfailed_mint_initiationfailed_mint_transactionfailed_burn_transactionfailed_burn_token_transferfailed_to_mintfailed_to_burnfailed_to_initiate_disbursalfailed_to_complete_disbursalrejectedfailedexpiredtriggering_mint_requestcompleted_mint_requesttriggering_mint_offercompleted_mint_offertriggering_mint_acceptcompleted_mint_accepttriggering_mint_transferfailed_to_mint_requestfailed_to_mint_offerfailed_to_mint_acceptfailed_to_mint_transferrejected_mint_transfercancelled_mint_transferexpired_mint_transfertriggering_burn_requestcompleted_burn_requesttriggering_burn_acceptfailed_to_burn_requestfailed_to_burn_accept
    • timestamp string date-time required
      Timestamp when the status was updated
  • transactions array of objects
    transactions object
    • txId string nullable required
      Transaction identifier

      at least 1 characters

    • orderId string uuid required
      Associated order identifier
    • assetId string uuid required
      Asset identifier involved in transaction
    • type string enum required
      Type of transaction
      clientDepositmintburnburnTokenTransferclientDisbursementtreasuryMintTransfertreasuryBurnTransfermintRequestmintOffermintAcceptmintTransferburnRequestburnAccept
    • sender string required
      Sender identifier

      at least 1 characters

    • senderType string enum required
      Type of sender
      go_accountaddresswallet
    • senderId string required
      Unique identifier of sender

      at least 1 characters · matches ^[0-9a-f]{32}$

    • sendAmount string required
      Amount sent in transaction

      at least 1 characters

    • receiver string required
      Receiver identifier

      at least 1 characters

    • receiverType string enum required
      Type of receiver
      go_accountaddress
    • receiverId string required
      Unique identifier of receiver

      at least 1 characters · matches ^[0-9a-f]{32}$

    • receiveAmount string required
      Amount received in transaction

      at least 1 characters

    • status string enum required
      Current status of transaction
      initiatedsignedunconfirmedconfirmedrejectedfailed
    • createdAt string required
      Timestamp when transaction was created
    • updatedAt string required
      Timestamp when transaction was last updated
    • pendingApprovalId string nullable required
      Pending approval id

      at least 1 characters

  • metadata string
    Additional metadata about the order

    at least 1 characters

  • orderMethod string enum
    How the order was initiated: issuer-direct or standard client deposit flow
    issuer_directclient_deposit
  • createdAt string date-time
    Timestamp when the order was created
  • updatedAt string date-time
    Timestamp when the order was last updated
  • memo string
    Optional free-text memo or comment annotating the order.
  • id string uuid required
    Unique identifier for the order
  • type string enum required
    Type of order operation
    mintburnreward
  • status string enum required
    Current status of the order
    createdconfirmed_fiat_depositconfirmed_token_depositinitiated_burn_token_transfercompleted_burn_token_transferapproved_minttriggering_minttriggering_burncompleted_burnapproved_client_disbursalinitiated_client_disbursalfulfilledfailed_mint_initiationfailed_mint_transactionfailed_burn_transactionfailed_burn_token_transferfailed_to_mintfailed_to_burnfailed_to_initiate_disbursalfailed_to_complete_disbursalrejectedfailedexpiredtriggering_mint_requestcompleted_mint_requesttriggering_mint_offercompleted_mint_offertriggering_mint_acceptcompleted_mint_accepttriggering_mint_transferfailed_to_mint_requestfailed_to_mint_offerfailed_to_mint_acceptfailed_to_mint_transferrejected_mint_transfercancelled_mint_transferexpired_mint_transfertriggering_burn_requestcompleted_burn_requesttriggering_burn_acceptfailed_to_burn_requestfailed_to_burn_accept
  • enterpriseId string required
    The Enterprise ID

    at least 1 characters · matches ^[0-9a-f]{32}$

  • fromAssetId string uuid required
    Source asset identifier
  • fromAmount string required
    Amount to be transferred from source asset, specified in its lowest denomination.

    at least 1 characters

  • toAssetId string uuid required
    Destination asset identifier
  • toAmount string required
    Amount to be received in destination asset

    at least 1 characters

  • destinationType string enum required
    Type of destination for the order
    go_accountaddresswallet
400
Bad Request
No response body
404
Not Found
No response body
500
Internal Server Error
No response body